# ACFSpongeUtil (ACF (Sponge) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: ACFSpongeUtil

Package co.aikar.commands

# Class ACFSpongeUtil

java.lang.Object
co.aikar.commands.ACFSpongeUtil

public class ACFSpongeUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`ACFSpongeUtil()`

## Method Summary

Modifier and Type
Method
Description
`static org.spongepowered.api.entity.living.player.Player`
`findPlayerSmart(co.aikar.commands.CommandIssuer issuer, String search)`
`static boolean`
`isValidName(@Nullable String name)`
`static List<org.spongepowered.api.entity.living.player.Player>`
`matchPlayer(String partialName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ACFSpongeUtil

public ACFSpongeUtil()

## Method Details

### findPlayerSmart

public static org.spongepowered.api.entity.living.player.Player findPlayerSmart (co.aikar.commands.CommandIssuer issuer, String search)

### matchPlayer

public static List<org.spongepowered.api.entity.living.player.Player> matchPlayer (String partialName)

### isValidName

public static boolean isValidName (@Nullable @Nullable String name)